Appearance
POST
/admin/user/usersRequired scope:
viskan:user:createCreates a user within this tenant.
Request body
JSON
{
"emailAddress": "john.doe@viskan.com",
"firstName": "John",
"lastName": "Doe",
"permissionLevel": "NORMAL",
"groupIds": [
1,
3
],
"connectedTenantIds": [
"8811e13d-8359-4a63-90c8-4c178b02e564",
"bae25401-b6c1-465e-b2e6-607a2b40f854"
]
}
Response
The user already existed but was added to the tenant.
JSON
{
"userId": "08ce1500-a817-40e8-8e5a-36d3cef125df"
}
The user was successfully created and added to the tenant.
JSON
{
"userId": "08ce1500-a817-40e8-8e5a-36d3cef125df"
}
| Error code | Description |
|---|---|
administrators-cannot-be-assigned-connected-tenants | Administrators cannot be assigned to tenants, they automatically get access to all connected tenants. |
email-address-required | Email address is required. |
group-not-found | One or more of the given group IDs do not exist. |
invalid-email-address | The email address is not valid. |
invalid-name | First name and/or last name is not valid. This does not happen if you add a user to a tenant when the user already exists in a different tenant. |
name-required | First name and last name are required. This does not happen if you add a user to a tenant when the user already exists in a different tenant. |
only-normal-users-can-be-assigned-user-groups | Only normal users can be assigned to user groups. |
tenant-not-found | One or more of the given tenant IDs do not exist or is not connected to the current tenant. |
user-already-in-tenant | The user is already a member of this tenant. |